#ifndef __LKS32MC09X_TMP_H__
#define __LKS32MC09X_TMP_H__

#include "lks32mc09x_reg.h"

/**
 * @brief 初始化温度传感器(读取温度传感器校准参数&使能温度传感器)
 */
void TMP_Init(void);

/**
 * @brief 使能温度传感器
 */
void TMP_Enable(void);

/**
 * @brief 禁用温度传感器
 */
void TMP_Disable(void);

/**
 * @brief 复位温度传感器(禁用温度传感器)
 */
void TMP_Reset(void);

/**
 * @brief 获取当前温度
 * @param ADC_value ADC采样值
 * @return 当前温度值，单位0.1摄氏度
 */
int16_t TMP_GetCurrentTemperature(int16_t ADC_value);

#endif
